Bug 451874 - If Weighted/Stabilizer's Distance/Sample Count are set higher than 100, they will not be remembered and will be reset to 100
Summary: If Weighted/Stabilizer's Distance/Sample Count are set higher than 100, they ...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Freehand (show other bugs)
Version: 5.0.2
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2022-03-25 00:53 UTC by tomtomtomreportingin
Modified: 2022-03-29 04:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomtomtomreportingin 2022-03-25 00:53:54 UTC
SUMMARY
In Krita 5.0.2 and 5.1, if Distance/Sample Count for Weighted/Stabilizer brush smoothing are set higher than 100, their new values will not be remembered and be reset to 100 on a new document or session. This does not occur in 4.4.7.

STEPS TO REPRODUCE
1. Select Weighted smoothing in the brush tool options.
2. Set Distance higher than 100.
3. Restart Krita and observe the Distance.

OBSERVED RESULT
Distance is reset to 100.

EXPECTED RESULT
Settings over 100 should be saved.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Debian sid
(available in About System)
KDE Plasma Version: 5.24.3
KDE Frameworks Version: 5.90.0
Qt Version: 5.12.12 (appimage)
Comment 1 tomtomtomreportingin 2022-03-25 00:54:44 UTC
Confirmation: https://krita-artists.org/t/stabilizer-resetting/38775
Comment 2 Dmitry Kazakov 2022-03-29 04:50:32 UTC
Git commit ce7db693e2c9cb1a1f10d07b8046e52abf740bd9 by Dmitry Kazakov.
Committed on 29/03/2022 at 04:50.
Pushed by dkazakov into branch 'master'.

Fix weighted distance value being clipped by 100

That was the order of initialization order problem: the range of
the slider was initialized only after the value was set.

M  +5    -2    plugins/tools/basictools/kis_tool_brush.cc

https://invent.kde.org/graphics/krita/commit/ce7db693e2c9cb1a1f10d07b8046e52abf740bd9
Comment 3 Dmitry Kazakov 2022-03-29 04:56:12 UTC
Git commit a532ed5eb7fa3805ee1dace06cb7dea6fdac9d13 by Dmitry Kazakov.
Committed on 29/03/2022 at 04:56.
Pushed by dkazakov into branch 'krita/5.0'.

Fix weighted distance value being clipped by 100

That was the order of initialization order problem: the range of
the slider was initialized only after the value was set.

M  +5    -2    plugins/tools/basictools/kis_tool_brush.cc

https://invent.kde.org/graphics/krita/commit/a532ed5eb7fa3805ee1dace06cb7dea6fdac9d13